# EC-PROMETHEE

## Introduction

This library introduces the **EC-PROMETHEE** method, a novel criteria-weighting hybrid technique. Merging ENTROPY, CRITIC, and PROMETHE methods, this innovation establishes a weight range for each criterion, maintaining the uniqueness of each method. These ranges, bounded by lower and upper limits, produce multiple weight sets per criterion and various rankings. After several iterations, the results reveal the dynamic behavior of alternatives under varied weights. Contrasting traditional models that offer a single ranking, this method highlights positional shifts across iterations, granting decision-makers a more explicit, less uncertain decision-making pathway.

## Citation
BASILIO, M.P.; PEREIRA, V.; YIGIT, F. (2023). New Hybrid EC-Promethee Method with Multiple Iterations of Random Weight Ranges: Applied to the Choice of Policing Strategies. Mathematics. Vol. 11, Iss. 21. DOI: https://doi.org/10.3390/math11214432 

## Usage

1. Install

```bash
pip install ec_promethee

```

2. Try it in **Colab**:

- Example ([ Colab Demo ](https://colab.research.google.com/drive/1URB2d4liOCDmychmTpPwfFwkSPCr1UMF?usp=sharing)) 

3. Other MCDA Methods:

- [pyDecision](https://github.com/Valdecy/pyDecision) - A library for many MCDA methods
- [3MOAHP](https://github.com/Valdecy/Method_3MOAHP) - Inconsistency Reduction Technique for AHP and Fuzzy-AHP Methods
- [pyMissingAHP](https://github.com/Valdecy/pyMissingAHP) - A Method to Infer AHP Missing Pairwise Comparisons
- [ELECTRE-Tree](https://github.com/Valdecy/ELECTRE-Tree) - Algorithm to infer the ELECTRE Tri-B method parameters
- [Ranking-Trees](https://github.com/Valdecy/Ranking-Trees) - Algorithm to infer the ELECTRE II, III, IV, and PROMETHEE I, II, III, IV method parameters

